Skip to main content
`Ctrl`+`K`

# SNESViewFromOptions

View a `SNES` based on values in the options database

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESViewFromOptions(SNES A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `SNES` context

- obj - Optional object that provides the options prefix for the checks

- name - command line option

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESView`, `PetscObjectViewFromOptions()`, `SNESCreate()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages